Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class MessageCatalog

    java.lang.Object
      com.beasys.commerce.util.MessageCatalog

Deprecated Use Weblogic Internationalization utilities

    @Deprecated
    public class MessageCatalog

extends Object

A message catalog is a collection of property files that store paired sets of keyed messages. The `MessageCatalog` exposes an API for accessing catalog messages. Each message catalog property file obeys the following naming convention:

`namespace_[language]_[country]_[variant].properties`

The namespace describes the type of messages contained in the property file, whereas the language, country, and variant describe a locale (as represented by the `Locale`). In order to expose the messages contained in a message catalog property file, the file must be included in the classpath.

Each property file contains zero or more lines of the following format:

`messageKey.user=[user message]`
`messageKey.log=[log message]`

Both the user and log messages are a description of the message itself; however, the user message text is targeted at developers, whereas the log message text is targeted at application administrators. Both the user and log messages may contain parameter substitution tags for supporting dynamic message parameter substitution. To do so, use substitution tags of the form described in the documentation for `MessageFormat`.

Example:

`message1.log=Could not access account {1,number,integer}.`

See Also
  `PropertyResourceBundle`, `MessageFormat`

Field Summary
`protected static Hashtable` | `cachedResourceBundles` Deprecated
`static String` | `DEFAULT_MESSAGE` Deprecated
`static String` | `DEFAULT_NAMESPACE` Deprecated
`static String` | `LOG_MESSAGE_SUFFIX` Deprecated
`static String` | `USER_MESSAGE_SUFFIX` Deprecated

Constructor Summary
`MessageCatalog()` Deprecated

Method Summary
`static String` | `getLogMessage(String messageKey)` Deprecated Retrieves a catalog log message by default namespace and message key.
`static String` | `getLogMessage(String messageKey, Object argument)` Deprecated Retrieves a catalog log message by default namespace and message key and performs parameter substitution on the target message using the supplied argument.
`static String` | `getLogMessage(String messageKey, Object[] arguments)` Deprecated Retrieves a catalog log message by default namespace and message key and performs parameter substitution on the target message using the supplied arguments.
`static String` | `getLogMessage(String namespace, String messageKey)` Deprecated Retrieves a catalog log message by namespace and message key.
`static String` | `getLogMessage(String namespace, String messageKey, Object argument)` Deprecated Retrieves a catalog log message by namespace and message key and performs parameter substitution on the target message using the supplied argument.
`static String` | `getLogMessage(String namespace, String messageKey, Object[] arguments)` Deprecated Retrieves a catalog log message by namespace and message key and performs parameter substitution on the target message using the supplied arguments.
`protected static String` | `getMessage(String namespace, String messageKey, String messageKeySuffix, Object[] arguments)` Deprecated Retrieves a catalog message by namespace, message key, and message key suffix and performs parameter substitution on the target message using the supplied arguments.
`protected static ResourceBundle` | `getResourceBundle(String namespace)` Deprecated Searches the cached resource bundles for the resource bundle of the supplied namespace and locale, and returns it if found.
`static String` | `getUserMessage(String messageKey)` Deprecated Retrieves a catalog user message by default namespace and message key.
`static String` | `getUserMessage(String messageKey, Object argument)` Deprecated Retrieves a catalog user message by default namespace and message key and performs parameter substitution on the target message using the supplied argument.
`static String` | `getUserMessage(String messageKey, Object[] arguments)` Deprecated Retrieves a catalog user message by default namespace and message key and performs parameter substitution on the target message using the supplied arguments.
`static String` | `getUserMessage(String namespace, String messageKey)` Deprecated Retrieves a catalog user message by namespace and message key.
`static String` | `getUserMessage(String namespace, String messageKey, Object argument)` Deprecated Retrieves a catalog user message by namespace and message key and performs parameter substitution on the target message using the supplied argument.
`static String` | `getUserMessage(String namespace, String messageKey, Object[] arguments)` Deprecated Retrieves a catalog user message by namespace and message key and performs parameter substitution on the target message using the supplied arguments.
`static void` | `main(String[] args)` Deprecated UT entry point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cachedResourceBundles

    protected static Hashtable cachedResourceBundles

  Deprecated

### DEFAULT_NAMESPACE

    public static final String DEFAULT_NAMESPACE

  Deprecated
  See Also
    Constants Summary

### DEFAULT_MESSAGE

    public static final String DEFAULT_MESSAGE

  Deprecated
  See Also
    Constants Summary

### USER_MESSAGE_SUFFIX

    public static final String USER_MESSAGE_SUFFIX

  Deprecated
  See Also
    Constants Summary

### LOG_MESSAGE_SUFFIX

    public static final String LOG_MESSAGE_SUFFIX

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### MessageCatalog

    public MessageCatalog()

  Deprecated

Method Detail

### getResourceBundle

    protected static ResourceBundle getResourceBundle(String namespace)

  Deprecated
  Searches the cached resource bundles for the resource bundle of the supplied namespace and locale, and returns it if found. if the resource bundle is not found in the cache, the resource bundle is looked up and added to the cache. If, in both cases, the resource bundle could not be found, `null` is returned.

  Returns
    The described resource bundle, or `null`

  ### getUserMessage

      public static String getUserMessage(String messageKey)

    Deprecated
    Retrieves a catalog user message by default namespace and message key.

    Parameters
      `messageKey` - The key of the target message.
    Returns
      The catalog message described by the given namespace and message key.

  ### getUserMessage

      public static String getUserMessage(String messageKey,
                                          Object argument)

    Deprecated
    Retrieves a catalog user message by default namespace and message key and performs parameter substitution on the target message using the supplied argument.

    Parameters
      `messageKey` - The key of the target message.
      `argument` - The substitution argument.
    Returns
      The catalog message described by the given namespace and message key, with the given message argument substituted.

  ### getUserMessage

      public static String getUserMessage(String messageKey,
                                          Object[] arguments)

    Deprecated
    Retrieves a catalog user message by default namespace and message key and performs parameter substitution on the target message using the supplied arguments.

    Parameters
      `messageKey` - The key of the target message.
      `arguments` - The substitution arguments.
    Returns
      The catalog message described by the given namespace and message key, with the given message arguments substituted.

  ### getUserMessage

      public static String getUserMessage(String namespace,
                                          String messageKey)

    Deprecated
    Retrieves a catalog user message by namespace and message key.

    Parameters
      `namespace` - The namespace of the target message.
      `messageKey` - The key of the target message.
    Returns
      The catalog message described by the given namespace and message key.

  ### getUserMessage

      public static String getUserMessage(String namespace,
                                          String messageKey,
                                          Object argument)

    Deprecated
    Retrieves a catalog user message by namespace and message key and performs parameter substitution on the target message using the supplied argument.

    Parameters
      `namespace` - The namespace of the target message.
      `messageKey` - The key of the target message.
      `argument` - The substitution argument.
    Returns
      The catalog message described by the given namespace and message key, with the given message argument substituted.

  ### getUserMessage

      public static String getUserMessage(String namespace,
                                          String messageKey,
                                          Object[] arguments)

    Deprecated
    Retrieves a catalog user message by namespace and message key and performs parameter substitution on the target message using the supplied arguments.

    Parameters
      `namespace` - The namespace of the target message.
      `messageKey` - The key of the target message.
      `arguments` - The substitution arguments.
    Returns
      The catalog message described by the given namespace and message key, with the given message arguments substituted.

  ### getLogMessage

      public static String getLogMessage(String messageKey)

    Deprecated
    Retrieves a catalog log message by default namespace and message key.

    Parameters
      `messageKey` - The key of the target message.
    Returns
      The catalog message described by the given namespace and message key.

  ### getLogMessage

      public static String getLogMessage(String messageKey,
                                         Object argument)

    Deprecated
    Retrieves a catalog log message by default namespace and message key and performs parameter substitution on the target message using the supplied argument.

    Parameters
      `messageKey` - The key of the target message.
      `argument` - The substitution argument.
    Returns
      The catalog message described by the given namespace and message key, with the given message argument substituted.

  ### getLogMessage

      public static String getLogMessage(String messageKey,
                                         Object[] arguments)

    Deprecated
    Retrieves a catalog log message by default namespace and message key and performs parameter substitution on the target message using the supplied arguments.

    Parameters
      `messageKey` - The key of the target message.
      `arguments` - The substitution arguments.
    Returns
      The catalog message described by the given namespace and message key, with the given message arguments substituted.

  ### getLogMessage

      public static String getLogMessage(String namespace,
                                         String messageKey)

    Deprecated
    Retrieves a catalog log message by namespace and message key.

    Parameters
      `namespace` - The namespace of the target message.
      `messageKey` - The key of the target message.
    Returns
      The catalog message described by the given namespace and message key.

  ### getLogMessage

      public static String getLogMessage(String namespace,
                                         String messageKey,
                                         Object argument)

    Deprecated
    Retrieves a catalog log message by namespace and message key and performs parameter substitution on the target message using the supplied argument.

    Parameters
      `namespace` - The namespace of the target message.
      `messageKey` - The key of the target message.
      `argument` - The substitution argument.
    Returns
      The catalog message described by the given namespace and message key, with the given message argument substituted.

  ### getLogMessage

      public static String getLogMessage(String namespace,
                                         String messageKey,
                                         Object[] arguments)

    Deprecated
    Retrieves a catalog log message by namespace and message key and performs parameter substitution on the target message using the supplied arguments.

    Parameters
      `namespace` - The namespace of the target message.
      `messageKey` - The key of the target message.
      `arguments` - The substitution arguments.
    Returns
      The catalog message described by the given namespace and message key, with the given message arguments substituted.

  ### getMessage

      protected static String getMessage(String namespace,
                                         String messageKey,
                                         String messageKeySuffix,
                                         Object[] arguments)

    Deprecated
    Retrieves a catalog message by namespace, message key, and message key suffix and performs parameter substitution on the target message using the supplied arguments.

    Parameters
      `namespace` - The namespace of the target message.
      `messageKey` - The key of the target message.
      `messageKeySuffix` - The key suffix of the target message.
      `arguments` - The substitution arguments.
    Returns
      The catalog message described by the given namespace and message key, with the given message arguments substituted.

  ### main

      public static void main(String[] args)

    Deprecated
    UT entry point.

    Parameters
      `args` - The command line arguments.

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
  Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
  Other names may be trademarks of their respective owners.